Skip to content
EN

FLUX.1 [Dev] Redux

方法: POST路径: /fal-ai/flux-1/dev/redux

必填。要生成新图片的原图URL

请求参数

Header 参数

text
Content-Type
string
可选
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
image_url
string
必需
必填。要生成新图片的原图URL
image_size
string
必需
num_inference_steps
integer
必需
可选。推理步数,默认28,范围1-50
seed
integer
必需
可选。随机种子,重复使用可复现图片,可为null
guidance_scale
number
必需
可选。CFG引导尺度,影响图片生成与Prompt的贴合程度,范围1-20
sync_mode
boolean
必需
可选。是否同步等待图片生成(true同步返回结果,false为异步,推荐异步)
num_images
integer
必需
可选。生成图片数量,默认1,1-4
enable_safety_checker
boolean
必需
可选。是否启用安全检测,默认true
示例
{
"image_url"
:
"string"
,
"image_size"
:
"string"
,
"num_inference_steps"
:
0
,
"seed"
:
0
,
"guidance_scale"
:
0
,
"sync_mode"
:
true
,
"num_images"
:
0
,
"enable_safety_checker"
:
true
}

请求示例代码

Shell

bash
curl --location --request POST '/fal-ai/flux-1/dev/redux' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "image_url": "string",
    "image_size": "string",
    "num_inference_steps": 0,
    "seed": 0,
    "guidance_scale": 0,
    "sync_mode": true,
    "num_images": 0,
    "enable_safety_checker": true
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{}